qrls(1B)

NAME
qrls - release hold on PBS jobs

SYNOPSIS
qrls [-h <hold list>] <job ID> [<job ID> ...]
qrls --version

DESCRIPTION
The qrls command removes or releases holds on batch jobs or job arrays, but not on subjobs or ranges of subjobs. A job may have one or more types of holds which make the job ineligible for execution. If you qrls a job whose Execution_Time attribute is not set to a time in the future, the job changes to the queued state. If Execution_Time is in the future, the job changes to the waiting state. Holds can be set by the owner, an Operator, or Manager, when a job has a dependency, or when a job has its Execution_Time attribute set to a time in the future. Se the qhold man page. Effect of Privilege on Behavior
The following table shows the holds and the privilege required to release each:
    Hold Meaning Privilege Required to Release
    --------------------------------------------------------------

    u   User Job owner, Operator, Manager,
                      administrator, root

    o   Other Operator, Manager, administrator, root

    s   System Manager, administrator, root,
                      PBS (dependency)

    n   None Job owner, Operator, Manager,
                      administrator, root

    p   Bad password Administrator, root

OPTIONS

(no options)
    Defaults to -h u, removing user hold.

-h <hold list>
    Types of holds to be released for the job(s). The hold list argument is a string consisting of one or more of the letters "u" , "o" , or "s" in any combination, or one of the letters "n" or "p" .

--version
    The qrls command returns its PBS version information and exits. This option can only be used alone.

OPERANDS
The qrls command can be used on jobs and job arrays, but not on subjobs or ranges of subjobs. The qrls comand accepts one or more job IDs in the form:
    <sequence number>[.<server name>][@<server name>]
    <sequence number>[][.<server name>][@<server name>]
Note that some shells require that you enclose a job array identifier in double quotes.

STANDARD ERROR
The qrls command writes a diagnostic message to standard error for each error occurrence.

EXIT STATUS

Zero
    Upon successful processing of all operands

Greater than zero
    If the qrls command fails to process any operand

SEE ALSO
The PBS Professional User's Guide, the PBS Professional Administrator's Guide,
qsub(1B), qalter(1B), qhold(1B), pbs_alterjob(3B), pbs_holdjob(3B), and pbs_rlsjob(3B).